Functions
Create function triggers
Subscribe a function to one or more event types, optionally scoped to specific senders. Provide eventTypes and senderIds (use null in senderIds for all senders); a trigger is created for each event type and sender combination.
POST
/
v1
/
functions
/
{functionId}
/
triggers
Create function triggers
curl --request POST \
--url https://api.zavu.dev/v1/functions/{functionId}/triggers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"eventTypes": [
"message.inbound"
],
"senderIds": [
null
]
}
'import requests
url = "https://api.zavu.dev/v1/functions/{functionId}/triggers"
payload = {
"eventTypes": ["message.inbound"],
"senderIds": [None]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({eventTypes: ['message.inbound'], senderIds: [null]})
};
fetch('https://api.zavu.dev/v1/functions/{functionId}/triggers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"added": 123,
"skipped": 123,
"triggers": [
{
"id": "<string>",
"functionId": "<string>",
"eventType": "<string>",
"active": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"senderId": "<string>"
}
]
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Zavu Function ID.
Body
application/json
⌘I
Create function triggers
